Description

History

#1 - 08/23/2012 01:05 AM - Eric Faulhaber

The content for these slides will come from the queries.odt chapter of the P2J Conversion Reference.

The slides filename in Bazaar (in the p2j_training/developer1/ project) should be queries.odp.

Please note that I have not yet had a chance to review this chapter, so if you see something that looks questionable, please ask about it.

#2 - 08/23/2012 01:05 AM - Eric Faulhaber

- Parent task set to #1456

#3 - 08/23/2012 01:07 PM - Adrian Lungu

- Status changed from New to WIP

- % Done changed from 0 to 20

#4 - 08/24/2012 12:05 PM - Adrian Lungu

- % Done changed from 20 to 60

first version committed into bazaar.

#5 - 08/27/2012 12:00 PM - Adrian Lungu

- Status changed from WIP to Review

- % Done changed from 60 to 90

all slides finished

committed into bazaar

There are some texts in queries.odt requiring corrections:

general: The term "presents" is used with the meaning of "exists".

         Could be changed with "is present" or "exists".

page8: "This section will give you this mapping in details." ->

       "This section will give you this mapping in detail." (or "details about this mappping")

page8: "AdaptiveQuery is used.  That happens because in this case" -> 

       "AdaptiveQuery is used.  This happens because" 
page9: "and the converted sort string will correspond this index: a.a4 asc." ->

       "and the converted sort string will have this corresponding index: a.a4 asc." (multiple occurences in t

ext)

page11: "however the field a3 already presents in the sort string, ... and the compete sort string is ..." ->

        "however the field a3 already exists in the sort string  , ... and the complete sort string is ..." ( 

also on page 27)

page17: "the fields which correspond this index are used;" ->

        "the fields which correspond to this index are used;" (two times)

page24: "It can be called arbitrary number of times" ->

        "It can be called for an arbitrary number of times" 

page24: "and it handled as the signal that the block should be finished" ->

         ?

page27: "In our case it the primary index" ->

        "In our case the primary index"(also on page 41)    

page39: "an instance variable of the class which corresponds the converted 4GL .p file." ->

        "an instance variable of the class which corresponds to the converted 4GL .p file." 

page41: "PreselectQuery is used. That happens because in this case" ->

        "PreselectQuery is used. This happens because in this case" 

page41: "4GL do not have" 

        "4GL does not have" (also on page 10)

page47: " the fields which correspond the most appropriate index" ->

        " the fields which correspond to the most appropriate index " (also on pages 11,17,25,33,48)

page53: "That is performed in the converted code" 

        "This is performed in the converted code" 

page54: "In P2J that means that means that QueryWrapper ..." ->

        "In P2J this means that QueryWrapper ..." 

Powered by TCPDF (www.tcpdf.org)

05/05/2024 2/2

http://www.tcpdf.org

